%define _disable_ld_no_undefined 1

%define gitdate	28032013
%define sname	atomic_ops
%define prever	alpha3
%define major	1
%define libname	%mklibname %{sname} %{major} 
%define libgpl	%mklibname %{sname}_gpl %{major} 
%define devname %mklibname -d %{sname}

Summary:	Multiplatform atomic memory operation library
Name:		libatomic_ops
Version:	7.3
Release:	0.%{prever}.1
License:	GPLv2+
Group:		System/Libraries
Url:		http://www.hpl.hp.com/research/linux/atomic_ops/
#Source0:	http://www.hpl.hp.com/personal/Hans_Boehm/gc/gc_source/%{name}-%{version}%{prever}.tar.gz
Source0:	libatomic_ops-7.3alpha3-28032013.tar.bz2
Patch0:		libatomic_ops-automake-1.13.patch

%description
Multiplatform atomic memory operation library.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the shared library for %{name}.

%files -n %{libname}
%{_libdir}/libatomic_ops.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libgpl}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libgpl}
This package contains the shared library for %{name}.

%files -n %{libgpl}
%{_libdir}/libatomic_ops_gpl.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Multiplatform atomic memory operation library
Group:		System/Libraries
Provides:	%{name}-devel = %{EVRD}
Requires:	%{libname} = %{EVRD}
Requires:	%{libgpl} = %{EVRD}

%description -n  %{devname}
Provides implementations for atomic memory update operations on a number of
architectures. This allows direct use of these in reasonably portable code.
Unlike earlier similar packages, this one explicitly considers memory barrier
semantics, and allows the construction of code that involves minimum overhead
across a variety of architectures.

It should be useful both for high performance multi-threaded code which can't
afford to use the standard locking primitives, or for code that has to access
shared data structures from signal handlers. For details, see README.txt in
the distribution.

%files -n  %{devname}
%{_includedir}/*.h
%dir %{_includedir}/%{sname}
%{_includedir}/%{sname}/*.h
%dir %{_includedir}/%{sname}/sysdeps
%{_includedir}/%{sname}/sysdeps/*.h
%dir %{_includedir}/%{sname}/sysdeps/gcc
%{_includedir}/%{sname}/sysdeps/gcc/*.h
%dir %{_includedir}/%{sname}/sysdeps/hpc
%{_includedir}/%{sname}/sysdeps/hpc/*.h
%dir %{_includedir}/%{sname}/sysdeps/ibmc
%{_includedir}/%{sname}/sysdeps/ibmc/*.h
%dir %{_includedir}/%{sname}/sysdeps/icc
%{_includedir}/%{sname}/sysdeps/icc/*.h
%dir %{_includedir}/%{sname}/sysdeps/msftc
%{_includedir}/%{sname}/sysdeps/msftc/*.h
%dir %{_includedir}/%{sname}/sysdeps/sunc
%{_includedir}/%{sname}/sysdeps/sunc/*.h
%dir %{_includedir}/%{sname}/sysdeps/armcc
%{_includedir}/%{sname}/sysdeps/armcc/*.h
%dir %{_includedir}/%{sname}/sysdeps/loadstore
%{_includedir}/%{sname}/sysdeps/loadstore/*.h
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so

#----------------------------------------------------------------------------

%prep
%setup -qn %{name}-%{version}%{prever}-%{gitdate}
%apply_patches

%build
autoreconf -fi
%configure2_5x \
	--disable-static \
	--enable-shared
%make

%install
%makeinstall_std


%changelog
* Fri Sep 06 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 7.3-0.alpha3.1
+ Revision: f7aff70
- LOG New version 7.3 alpha3, build shared libraries


